"""This module contains the apiv2 related urls for the ``media`` app"""

from rest_framework_extensions.routers import ExtendedSimpleRouter

from . import views


router = ExtendedSimpleRouter()
router.register(
    r'presentations',
    views.PresentationViewSet,
    base_name='presentation'
)
router.register(
    r'videos',
    views.VideoViewSet,
    base_name='video'
)
router.register(
    r'freenotes',
    views.FreeNoteViewSet,
    base_name='freenote'
)
router.register(
    r'presentationnotes/(?P<presentation_uuid>[^/]+)',
    views.PresentationNoteViewSet,
    base_name='presentationnote'
)

urlpatterns = router.urls

